# Packmangroup: Libraries
# Packmanpackagename: libcddb
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Libcddb is a library that implements the different protocols (CDDBP, HTTP, SMTP) to access data on a CDDB server (http://freedb.org). It tries to be as cross-platform as possible.</p>
# Packmanpackagedesc_de: <p>Libcddb ist eine Bibliothek die unterschiedliche Protokolle (CDDBP, HTTP, SMTP) zum Zugriff auf die Daten eines CDDB Servers (http://freedb.org) implementiert. Die Bibliothek ist soweit Systemunabh&auml;ngig wie m&ouml;glich.</p>

%define name    libcddb
%define ver     1.2.1
%define rel     1

Name:           %{name}
Summary:        CDDB access library
Summary(de):    CDDB zugriffs Bibliothek
Version:        %{ver}
Release:        %{rel}
Copyright:      GPL
Group:          Development/Libraries
Url:            http://libcddb.sourceforge.net/

Source0:        libcddb-1.2.1.tar.bz2

#Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
#Vendor:         Packman
#Distribution:   SUSE Linux 9.2 (i586)
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires:       libcdio
# Packmandepends: libcdio

%description
Libcddb is a library that implements the different protocols
(CDDBP, HTTP, SMTP) to access data on a CDDB server (http://freedb.org).
It tries to be as cross-platform as possible.

%description -l de
Libcddb ist eine Bibliothek die unterschiedliche Protokolle
(CDDBP, HTTP, SMTP) zum Zugriff auf die Daten eines CDDB Servers
(http://freedb.org) implementiert.
Die Bibliothek ist soweit Systemunabhängig wie möglich.

%package devel
Summary:        libcddb development package
Summary(de):    libcddb Entwicklerpaket
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
# Packmandepends: libcddb

%description devel
libcddb development package

%description devel -l de
libcddb Entwicklerpaket

%prep
%setup

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -r $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS THANKS TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/pkgconfig/*.pc

%files devel
%defattr(-, root, root)
%doc ChangeLog COPYING README
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/cddb/*

%changelog
* Fri Aug 05 2005 Joe Morris <joe_morris@ntm.org>
- Update to 1.2.1
* Sun Oct 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.6
* Thu Jul 22 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.5
* Mon Jun 04 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.4
* Tue May 27 2003 Ralf Corsepius <ralf@links2linux.de>
- RedHat 9
- Remove duplcate NEWS from %doc
* Fri Apr 25 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
